searchData={"items":[{"type":"module","doc":"Tasks as input an unparsed stream and provides on each pad an unparsed, transcoded stream\nwith the desired properties.\n\nInput might be MPEG-TS or FLV but other streaming containers might work as well. If the\ninput stream contains more than 1 video and 1 audio stream, which one will be picked is\nundefined behaviour.","title":"Membrane.FFmpeg.Transcoder","ref":"Membrane.FFmpeg.Transcoder.html"},{"type":"module","doc":"### `:input`\n\nAccepted formats:\n```\nMembrane.RemoteStream\n```\n\nDirection: | `:input`\nAvailability: | `:always`\n\n\n### `:video`\n\nAccepted formats:\n```\nMembrane.RemoteStream\n```\n\nDirection: | `:output`\nAvailability: | `:on_request`\nPad options:\n\n- `copy`  \n\n  ```\n  boolean()\n  ```\n  \n  Default value: `false`  \n  If enabled, the stream will not be re-encoded\n\n\n- `resolution`  \n\n  ```\n  {integer(), integer()}\n  ```\n  \n  Default value: `{-2, 720}`  \n  Resolution of the given output.\n\n\n\n- `bitrate`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `3300000`  \n  Maximum bitrate\n\n\n\n- `profile`  \n\n  ```\n  atom()\n  ```\n  \n  Default value: `:high`  \n  H264 Profile\n\n\n\n- `crf`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `26`  \n  \n\n\n\n- `preset`  \n\n  ```\n  atom()\n  ```\n  \n  Default value: `:high`  \n  \n\n\n\n- `tune`  \n\n  ```\n  atom()\n  ```\n  \n  Default value: `:zerolatency`  \n  \n\n\n\n- `fps`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `30`  \n  \n\n\n\n- `gop_size`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `60`  \n  \n\n\n\n- `b_frames`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `3`  \n  \n\n\n\n- `level`  \n\n  ```\n  String.t()\n  ```\n  \n  Default value: `\"3.1\"`  \n  \n\n\n\n\n\n### `:audio`\n\nAccepted formats:\n```\nMembrane.RemoteStream\n```\n\nDirection: | `:output`\nAvailability: | `:on_request`\nPad options:\n\n- `copy`  \n\n  ```\n  boolean()\n  ```\n  \n  Default value: `false`  \n  If enabled, the stream will not be re-encoded\n\n\n- `bitrate`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `128000`  \n  Maximum bitrate\n\n\n\n- `sample_rate`  \n\n  ```\n  pos_integer()\n  ```\n  \n  Default value: `48000`","title":"Pads - Membrane.FFmpeg.Transcoder","ref":"Membrane.FFmpeg.Transcoder.html#module-pads"},{"type":"type","doc":"Options for pad `:audio`","title":"Membrane.FFmpeg.Transcoder.audio_pad_opts/0","ref":"Membrane.FFmpeg.Transcoder.html#t:audio_pad_opts/0"},{"type":"type","doc":"Options for pad `:video`","title":"Membrane.FFmpeg.Transcoder.video_pad_opts/0","ref":"Membrane.FFmpeg.Transcoder.html#t:video_pad_opts/0"},{"type":"module","doc":"Element used to connect outputs of the bin before connecting the input, which\nis known after the transcoder starts producing data and the PMT table is received.\n\nWaits for a {:stream_format, format} notification that specifies the stream format;\nit is illegal to send buffers through this element before the notification is received.","title":"Membrane.FFmpeg.Transcoder.Adapter","ref":"Membrane.FFmpeg.Transcoder.Adapter.html"},{"type":"module","doc":"### `:input`\n\nAccepted formats:\n```\n_any\n```\n\nDirection: | `:input`\nAvailability: | `:on_request`\nFlow control: | `:auto`\n\n\n### `:output`\n\nAccepted formats:\n```\n_any\n```\n\nDirection: | `:output`\nAvailability: | `:always`\nFlow control: | `:auto`","title":"Pads - Membrane.FFmpeg.Transcoder.Adapter","ref":"Membrane.FFmpeg.Transcoder.Adapter.html#module-pads"},{"type":"module","doc":"","title":"Membrane.FFmpeg.Transcoder.Application","ref":"Membrane.FFmpeg.Transcoder.Application.html"},{"type":"function","doc":"Callback implementation for  Application.start/2 .","title":"Membrane.FFmpeg.Transcoder.Application.start/2","ref":"Membrane.FFmpeg.Transcoder.Application.html#start/2"},{"type":"module","doc":"Internal module. Outputs MPEG-TS as an unparsed remote stream.","title":"Membrane.FFmpeg.Transcoder.Filter","ref":"Membrane.FFmpeg.Transcoder.Filter.html"},{"type":"module","doc":"### `:input`\n\nAccepted formats:\n```\nMembrane.RemoteStream\n```\n\nDirection: | `:input`\nAvailability: | `:always`\nFlow control: | `:auto`\n\n\n### `:output`\n\nAccepted formats:\n```\nMembrane.RemoteStream\n```\n\nDirection: | `:output`\nAvailability: | `:always`\nFlow control: | `:auto`","title":"Pads - Membrane.FFmpeg.Transcoder.Filter","ref":"Membrane.FFmpeg.Transcoder.Filter.html#module-pads"},{"type":"exception","doc":"","title":"Membrane.FFmpeg.Transcoder.Filter.FFmpegError","ref":"Membrane.FFmpeg.Transcoder.Filter.FFmpegError.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.0"}}